<layout-card-container [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE">
  <div class="merchants-list">
    <div class="merchants-list__header">
      <p class="title">
        {{
          "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.MERCHANTS_CARD.TITLE"
            | translate
        }}
      </p>
      <p class="counter">({{ (merchants$ | async)?.length }})</p>
    </div>

    <div class="merchants-list__filter" *ngIf="!(isLoading$ | async)">
      <mo-input
        [placeholder]="
          'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.MERCHANTS_CARD.SEARCH_BAR'
            | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
        (keyup)="onFilter($event)"
      ></mo-input>
    </div>
    <div
      class="merchants-list__content"
      [ngClass]="{ 'merchants-list__content--is-loading': isLoading$ | async }"
    >
      <ng-container *ngIf="!(isLoading$ | async); else loading">
        <ng-container *ngIf="(merchants$ | async)?.length > 0; else empty">
          <p class="merchant-item" *ngFor="let item of merchants$ | async">
            {{ item?.display_name }}
          </p>
        </ng-container>
      </ng-container>
    </div>
    <div class="merchants-list__footer" *ngIf="!(isLoading$ | async)">
      <a
        class="add-or-remove"
        *ngIf="merchantGroupProfileId$ | async as id"
        [routerLink]="merchantGroupAddOrRemoveMerchantUrl"
        [queryParams]="{ id }"
      >
        {{
          "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.MERCHANTS_CARD.ADD_OR_REMOVE"
            | translate
        }}
      </a>
    </div>
  </div>
</layout-card-container>

<ng-template #loading>
  <div class="loader-container">
    <layout-skeleton
      *ngFor="let skeleton of skeletons"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>

<ng-template #empty>
  <merchant-group-profile-empty-list></merchant-group-profile-empty-list>
</ng-template>
